#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct Geo3dCustomModel {
    #[serde(rename = "attachmentRid")]
    attachment_rid: conjure_object::ResourceIdentifier,
    #[builder(into)]
    #[serde(rename = "fileExtension")]
    file_extension: String,
}
impl Geo3dCustomModel {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        attachment_rid: conjure_object::ResourceIdentifier,
        file_extension: impl Into<String>,
    ) -> Self {
        Self::builder()
            .attachment_rid(attachment_rid)
            .file_extension(file_extension)
            .build()
    }
    #[inline]
    pub fn attachment_rid(&self) -> &conjure_object::ResourceIdentifier {
        &self.attachment_rid
    }
    #[inline]
    pub fn file_extension(&self) -> &str {
        &*self.file_extension
    }
}
